summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--release/Makefile3
-rwxr-xr-xrelease/scripts/compat21-install.sh8
2 files changed, 10 insertions, 1 deletions
diff --git a/release/Makefile b/release/Makefile
index 6eafe8a..920ce4d 100644
--- a/release/Makefile
+++ b/release/Makefile
@@ -1,4 +1,4 @@
-# $Id: Makefile,v 1.220 1996/06/08 22:55:25 jkh Exp $
+# $Id: Makefile,v 1.221 1996/06/11 05:06:29 jkh Exp $
#
# How to roll a release:
#
@@ -291,6 +291,7 @@ release.6:
cd ${.CURDIR} && $(MAKE) doTARBALL \
SD=${RD}/trees/$${i} \
TN=$$i TD=$$i ARG="." && \
+ cp -p scripts/${i}-install.sh ${RD}/dists/install.sh && \
echo "$${i} distribution is finished."; \
fi ; \
done
diff --git a/release/scripts/compat21-install.sh b/release/scripts/compat21-install.sh
new file mode 100755
index 0000000..f6cc9cb
--- /dev/null
+++ b/release/scripts/compat21-install.sh
@@ -0,0 +1,8 @@
+#!/bin/sh
+#
+if [ "`id -u`" != "0" ]; then
+ echo "Sorry, this must be done as root."
+ exit 1
+fi
+tar --unlink -xpzf compat21.tgz -C /
+exit 0
OpenPOWER on IntegriCloud